summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
author Michael Edie2022-08-18 05:11:08 +0200
committer Willy Sudiarto Raharjo2022-08-20 05:06:38 +0200
commit90efc0dd26cb93971e57026435c9ffaefa4ff410 (patch)
treef7d6a8935b51d8179a98edef9ee02f22edc899cc /system
parenta2c33381dde1ee7f864f5181c7fff1162884611a (diff)
downloadslackbuilds-90efc0dd26cb93971e57026435c9ffaefa4ff410.tar.gz
system/nwipe: Added (secure disk eraser)
Signed-off-by: Dave Woodfall <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'system')
-rw-r--r--system/nwipe/README20
-rw-r--r--system/nwipe/nwipe.SlackBuild119
-rw-r--r--system/nwipe/nwipe.info10
-rw-r--r--system/nwipe/slack-desc19
4 files changed, 168 insertions, 0 deletions
diff --git a/system/nwipe/README b/system/nwipe/README
new file mode 100644
index 0000000000..8faf10c22c
--- /dev/null
+++ b/system/nwipe/README
@@ -0,0 +1,20 @@
+nwipe is a fork of the dwipe command originally used by Darik's Boot
+and Nuke (DBAN). nwipe was created out of a need to run the DBAN dwipe
+command outside of DBAN, in order to allow its use with any host
+distribution, thus giving better hardware support.
+
+nwipe is a program that will securely erase the entire contents of
+disks. It can wipe a single drive or multiple disks simultaneously.
+It can operate as both a command line tool without a GUI or with a
+ncurses GUI.
+
+The user can select from a variety of recognised secure erase methods:
+
+- Fill With Zeros
+- Fill With Ones
+- RCMP TSSIT OPS-II
+- DoD Short
+- DoD 5220.22M
+- Gutmann Wipe
+- PRNG Stream
+- HMG IS5 enhanced
diff --git a/system/nwipe/nwipe.SlackBuild b/system/nwipe/nwipe.SlackBuild
new file mode 100644
index 0000000000..71200fcc17
--- /dev/null
+++ b/system/nwipe/nwipe.SlackBuild
@@ -0,0 +1,119 @@
+#!/bin/bash
+
+# Slackware build script for nwipe
+
+# Copyright 2022 Michael Edie Tampa, FL, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=nwipe
+VERSION=${VERSION:-0.34}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+DOCS="CHANGELOG.md COPYING README.md"
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+if [ ! -x configure ]; then
+ if [ -x autogen.sh ]; then
+ ./autogen.sh
+ fi
+fi
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --disable-static \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+# Compress man pages
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ $DOCS \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/system/nwipe/nwipe.info b/system/nwipe/nwipe.info
new file mode 100644
index 0000000000..abde55e9b1
--- /dev/null
+++ b/system/nwipe/nwipe.info
@@ -0,0 +1,10 @@
+PRGNAM="nwipe"
+VERSION="0.34"
+HOMEPAGE="https://github.com/martijnvanbrummelen/nwipe"
+DOWNLOAD="https://github.com/martijnvanbrummelen/nwipe/archive/v0.34/nwipe-0.34.tar.gz"
+MD5SUM="e8fd0601247499a0ececf28fb1575434"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Michael Edie"
+EMAIL="michael@sawbox.net"
diff --git a/system/nwipe/slack-desc b/system/nwipe/slack-desc
new file mode 100644
index 0000000000..1666e9df6e
--- /dev/null
+++ b/system/nwipe/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+nwipe: nwipe (secure disk eraser)
+nwipe:
+nwipe: nwipe is a fork of the dwipe that will securely erase the
+nwipe: entire contents of disks. It can wipe a single drive or
+nwipe: multiple disks simultaneously. It can operate as both a
+nwipe: command line tool without a GUI or with a ncurses GUI.
+nwipe:
+nwipe: Git Repo: https://github.com/martijnvanbrummelen/nwipe
+nwipe:
+nwipe:
+nwipe: